Subject: bug#57751: 29.0.50; crash in GC

From: Sam Steingold <[email-masked]>
Date: Wed, 14 Sep 2022 14:20:05 -0400

> * Gerd Möllmann <[email-masked]> [2022-09-14 13:30:18 +0200]:
>
> Sam Steingold <[email-masked]> writes:
>
>>     frame #3: 0x000000010052bf20 emacs`mark_kboards at
>>     keyboard.c:13266:4
>
> The contents of the local variable event would be interesting in frame#3
>
>   ü *event

--8<---------------cut here---------------start------------->8---
(lldb) 
frame #3: 0x000000010052bf20 emacs`mark_kboards at keyboard.c:13266:4
   13263                  mark_object (event->ie.x);
   13264                  mark_object (event->ie.y);
   13265                  mark_object (event->ie.frame_or_window);
-> 13266                  mark_object (event->ie.arg);
   13267
   13268                  /* This should never be allocated for a single event, but
   13269                     mark it anyway in the situation where the list of devices
(lldb) p event
warning: could not find Objective-C class data in the process. This may reduce the quality of type information available.
(buffered_input_event *) $0 = 0x0000000101295c80
(lldb) p *event
(buffered_input_event) $1 = {
  kind = MOVE_FRAME_EVENT
  ie = {
    kind = MOVE_FRAME_EVENT
    part = scroll_bar_nowhere
    code = 0
    modifiers = 49116832
    x = 0xfffffffffffff85e
    y = 0xffffffffffffe9e6
    timestamp = 105759277384896
    frame_or_window = 0x00006210000d9135
    arg = 0x00007ff7bfee99d0
    device = 0x00000001021dabaa
  }
}
(lldb) p event->ie.arg
(Lisp_Object) $2 = 0x00007ff7bfee99d0
(lldb) p *event->ie.arg
error: error: incomplete type 'Lisp_X' where a complete type is required
note: forward declaration of 'Lisp_X'
--8<---------------cut here---------------end--------------->8---

indeed the crash very often happens when I move the frame (Emacs fails
to place and size itself properly on startup, so this is the first thing
I have to do. I keep Emacs maximized - but _not_ full screen).

Another thing is that Tramp appears to be broken recently - it keeps
timing out even though I can ssh to the remove host without any problems.

-- 
Sam Steingold (https://aphar.dreamwidth.org/) on darwin Ns 10.3.2113
https://lastingimpactpsychology.com https://steingoldpsychology.com
https://iris.org.il https://www.dhimmitude.org https://fairforall.org
The Truth does not have to look plausible.